Bug 14099 - Сломана поддержка архивов 7z
: Сломана поддержка архивов 7z
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mc)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-01-20 15:07 by
Modified: 2008-08-29 20:37 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-01-20 15:07:20
При попытке зайти в 7z ругается, что не находит файл 7za. apt его тоже не
неходит, вероятно следует заменить на 7z. Но если так сделать, то при входе в
архив все каталоги дублируются.
------- Comment #1 From 2008-02-27 01:00:57 -------
ACK
------- Comment #2 From 2008-02-27 21:28:59 -------
В общем, есть подозрение, что директории двойные из-за того, что в листинге /
usr/share/mc/extfs/u7z list foo.7z диры идут раньше содержимого. Не знаю, как 
должен реагировать движок extfs на это. sort вставлять в u7z не хочется, читать 
и патчить код mc тем более.
------- Comment #3 From 2008-08-09 23:46:21 -------
Нучо, в RH вставили sort.
Fixed in git.
------- Comment #4 From 2008-08-29 20:37:18 -------
4.6.2-alt10.pre1 ффсизифе.